<div class="principal">
  <form [formGroup]="form" (ngSubmit)="onSubmit()">
    Name of the account : <input type="text" formControlName="name">
    <button type="submit" [disabled]="form.invalid" >Create account</button>
  </form>

</div>

